Ask Your Question
6

Cannot play Vidoes in Fedora 20, No support for h264 decoder

asked 2014-04-11 22:37:41 -0500

ShayanH gravatar image

updated 2014-09-28 10:21:09 -0500

mether gravatar image

I have installed codes at rpmfusion completely. But VLC, SMPlayer and Totem can't play vidoes.

I have this error in VLC:

VLC does not support the audio or video format "h264". Unfortunately there is no way for you to fix this.

SMPlayer log when I want play a video:

/usr/bin/mplayer -noquiet -nofs -nomouseinput -sub-fuzziness 1 -identify -slave -vo xv, -nokeepaspect -nodr -double -input conf=/usr/share/smplayer/input.conf -stop-xscreensaver -wid 41943081 -monitorpixelaspect 1 -ass -embeddedfonts -ass-line-spacing 0 -ass-font-scale 1 -noflip-hebrew -ass-styles /home/shayan/.config/smplayer/styles.ass -subfont-autoscale 0 -subfont-osd-scale 20 -subfont-text-scale 20 -subcp ISO-8859-1 -subpos 100 -cache 2048 -osdlevel 0 -noslices -channels 2 -af equalizer=0:0:0:0:0:0:0:0:0:0 -softvol -softvol-max 110 /home/shayan/Videos/arsenal_1_2_dortmund.mp4

/usr/bin/mplayer: symbol lookup error: /lib64/libavcodec.so.55: undefined symbol: vpx_codec_vp9_dx_algo

I have Fedora 20 64 bit on my laptop ASUS K45.

edit retag flag offensive close merge delete

Comments

Try playing the file with smplayer, then open Options -> View Logs -> MPlayer and copy the text from there; either post it in your original post or to http://fpaste.org and post a link to it here.

Ahmad Samir gravatar imageAhmad Samir ( 2014-04-12 08:19:36 -0500 )edit

Added log file.

ShayanH gravatar imageShayanH ( 2014-04-12 12:07:09 -0500 )edit

As @mohanprakash said, you need to update your system to fix that "undefined symbol" error by installing the the latest libvpx package.

Ahmad Samir gravatar imageAhmad Samir ( 2014-04-13 10:24:20 -0500 )edit
1

try this brother

"yum install x264"

i think that is working for you

Tiger gravatar imageTiger ( 2014-08-01 15:17:08 -0500 )edit

12 Answers

Sort by » oldest newest most voted
0

answered 2017-01-02 12:51:44 -0500

loczi gravatar image

Thank you edaman ! "...yum install libvpx.x8664 libvpx-utils.x8664 yum install x264.x8664 x264-libs.x8664..." worked for me. Cheers Łukasz Dymek

edit flag offensive delete link more
0

answered 2014-04-27 02:40:14 -0500

edaman gravatar image

updated 2014-04-27 02:41:18 -0500

I had the same problem until I installed some more libraries: yum install libvpx.x86_64 libvpx-utils.x86_64 yum install x264.x86_64 x264-libs.x86_64

Then it worked

edit flag offensive delete link more

Comments

These packages are dependencies of vlc (indirectly), so if you have vlc you must have had those packages already installed. Running yum install for an already installed package will update it to the latest version in the repos. yum update would do the same job (but without having to specify the package names).

Ahmad Samir gravatar imageAhmad Samir ( 2014-04-27 04:04:47 -0500 )edit

Actually, edaman's suggestion solved the same problem for me!

On a clean Fedora 20 install, I had both vlc and mplayer installed, but did not have libvpx-utils . Installing libvpx-utils solved the problem.

libvpx-utils is a collection of utilities for VP8.

leyenson gravatar imageleyenson ( 2014-07-13 04:14:34 -0500 )edit

I think that running 'yum install libvpx-utils' updated the already installer libvpx to the latest version, which solved the issue with those video players. The key here is updating libvpx to get the latest package with the library symbols required by both mplayer and vlc (which were rebuilt in the rpmfusion repos against the latest libvpx package).

Ahmad Samir gravatar imageAhmad Samir ( 2014-07-14 08:25:58 -0500 )edit

Question Tools

Stats

Asked: 2014-04-11 22:37:41 -0500

Seen: 62,153 times

Last updated: Apr 07 '15